| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SettingsAccess Class Reference
Basic

Functionality to access specific user settings and/or environment variables from different parts of OpendTect in order to avoid duplication of definitions and code. More...

`#include <settingsaccess.h>`

## Public Member Functions
| SettingsAccess ()
| SettingsAccess (Settings &)
| ~SettingsAccess ()
bool | doesUserWantShading (bool forvolumes=false) const
int | getDefaultTexResAsIndex (int nrres) const
int | getDefaultTexResFactor (int nrres) const
BufferString | getHostNameOverrule () const
void | setDefaultTexResAsIndex (int idx, int nrres)
| system default represented by idx==nrres
void | setHostNameOverrule (const char *)

## Static Public Member Functions
static const char * | sKeyAnisotropicPower ()
static const char * | sKeyDefaultAmbientReflectivity ()
static const char * | sKeyDefaultDiffuseReflectivity ()
static const char * | sKeyEnableMipmapping ()
static const char * | sKeyHostNameOverrule ()
static const char * | sKeyIcons ()
static const char * | sKeyMouseWheelReversal ()
static const char * | sKeyMouseWheelZoomFactor ()
static const char * | sKeyShowCrlProgress ()
static const char * | sKeyShowInlProgress ()
static const char * | sKeyShowRdlProgress ()
static const char * | sKeyShowZProgress ()
static const char * | sKeyTexResFactor ()
static const char * | sKeyUseSurfShaders ()
static const char * | sKeyUseVolShaders ()
static bool | systemHasDefaultTexResFactor ()

## Protected Attributes
Settings & | settings_

## Detailed Description

Functionality to access specific user settings and/or environment variables from different parts of OpendTect in order to avoid duplication of definitions and code.

<>

## Constructor & Destructor Documentation

## ◆ SettingsAccess() [1/2]

SettingsAccess::SettingsAccess | ( |  | ) |

## ◆ SettingsAccess() [2/2]

SettingsAccess::SettingsAccess | ( | Settings & |  | ) |

## ◆ ~SettingsAccess()

SettingsAccess::~SettingsAccess | ( |  | ) |

## Member Function Documentation

## ◆ doesUserWantShading()

bool SettingsAccess::doesUserWantShading | ( | bool | forvolumes = false | ) | const

## ◆ getDefaultTexResAsIndex()

int SettingsAccess::getDefaultTexResAsIndex | ( | int | nrres | ) | const

## ◆ getDefaultTexResFactor()

int SettingsAccess::getDefaultTexResFactor | ( | int | nrres | ) | const

## ◆ getHostNameOverrule()

BufferString SettingsAccess::getHostNameOverrule | ( |  | ) | const

## ◆ setDefaultTexResAsIndex()

void SettingsAccess::setDefaultTexResAsIndex | ( | int | idx,
|  | int | nrres )

system default represented by idx==nrres

## ◆ setHostNameOverrule()

void SettingsAccess::setHostNameOverrule | ( | const char * |  | ) |

## ◆ sKeyAnisotropicPower()

static const char * SettingsAccess::sKeyAnisotropicPower | ( |  | ) |
| static

## ◆ sKeyDefaultAmbientReflectivity()

static const char * SettingsAccess::sKeyDefaultAmbientReflectivity | ( |  | ) |
| static

## ◆ sKeyDefaultDiffuseReflectivity()

static const char * SettingsAccess::sKeyDefaultDiffuseReflectivity | ( |  | ) |
| static

## ◆ sKeyEnableMipmapping()

static const char * SettingsAccess::sKeyEnableMipmapping | ( |  | ) |
| static

## ◆ sKeyHostNameOverrule()

static const char * SettingsAccess::sKeyHostNameOverrule | ( |  | ) |
| static

## ◆ sKeyIcons()

static const char * SettingsAccess::sKeyIcons | ( |  | ) |
| static

## ◆ sKeyMouseWheelReversal()

static const char * SettingsAccess::sKeyMouseWheelReversal | ( |  | ) |
| static

## ◆ sKeyMouseWheelZoomFactor()

static const char * SettingsAccess::sKeyMouseWheelZoomFactor | ( |  | ) |
| static

## ◆ sKeyShowCrlProgress()

static const char * SettingsAccess::sKeyShowCrlProgress | ( |  | ) |
| static

## ◆ sKeyShowInlProgress()

static const char * SettingsAccess::sKeyShowInlProgress | ( |  | ) |
| static

## ◆ sKeyShowRdlProgress()

static const char * SettingsAccess::sKeyShowRdlProgress | ( |  | ) |
| static

## ◆ sKeyShowZProgress()

static const char * SettingsAccess::sKeyShowZProgress | ( |  | ) |
| static

## ◆ sKeyTexResFactor()

static const char * SettingsAccess::sKeyTexResFactor | ( |  | ) |
| static

## ◆ sKeyUseSurfShaders()

static const char * SettingsAccess::sKeyUseSurfShaders | ( |  | ) |
| static

## ◆ sKeyUseVolShaders()

static const char * SettingsAccess::sKeyUseVolShaders | ( |  | ) |
| static

## ◆ systemHasDefaultTexResFactor()

static bool SettingsAccess::systemHasDefaultTexResFactor | ( |  | ) |
| static

## Member Data Documentation

## ◆ settings_

Settings& SettingsAccess::settings_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025